#mobile-wrapper #stations-line {
    display: flex;
    flex-direction: row;
    padding-top: 2rem;
}

#mobile-wrapper #stations-line .line-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 20%;
    position: relative;
}

#mobile-wrapper #stations-line #line-item-2::before,
#mobile-wrapper #stations-line #line-item-3::before,
#mobile-wrapper #stations-line #line-item-4::before {
    content: "";
    position: absolute;
    top: calc(45px / 2 - 2px);
    left: calc(-50% + 25px / 2);
    width: calc(100% - 25px);
    height: 4px;
    background-color: #a40084;
}
#mobile-wrapper #stations-line #line-item-4::after {
    content: "";
    position: absolute;
    top: calc(45px / 2 - 2px);
    right: calc(-50% + 25px / 2);
    width: calc(100% - 25px);
    height: 4px;
    background-color: #a40084;
}

#mobile-wrapper #stations-line .line-item .line-icon {
    width: 25px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#mobile-wrapper #stations-line .line-item .line-point {
    width: 25px;
    height: 25px;
    border: 4px solid #a40084;
    border-radius: 50vh;
}

#mobile-wrapper #stations-line .line-item span {
    display: block;
    text-align: center;
    margin-top: 0.5rem;
}

#mobile-wrapper #mobile-map-wrapper {
    position: relative;
}

#mobile-wrapper #mobile-map-wrapper #instruction-m {
    background-color: rgba(255, 255, 255, 0.8);
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    padding: 5% 10%;
    display: flex;
    flex-direction: column;
}

#mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item {
    width: 100%;
    height: calc(100% / 3);
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 2px solid #5a5a5a;
}

#mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item:last-of-type {
    border-bottom: none;
}

#mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item img {
    height: 86px;
    min-width: 86px;
    object-fit: contain;
}

#mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item span {
    display: block;
    font-weight: 500;
    margin-left: 1rem;
}

#mobile-wrapper #mobile-map-wrapper #pin-group-m {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

#mobile-wrapper .pin-btn img {
    -webkit-animation: float 1.6s linear infinite;
    -moz-animation: float 1.6s linear infinite;
    -o-animation: float 1.6s linear infinite;
    animation: float 1.6s linear infinite;
}

#mobile-wrapper #mobile-map-wrapper #left-img-m {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

#mobile-wrapper .pin-btn img {
    width: 80px;
    height: 80px;
    left: -25px;
}

#mobile-wrapper #pin-btn-1.pin-btn {
    left: 30%;
    top: 31%;
}

#mobile-wrapper #pin-btn-3.pin-btn {
    left: 62%;
    top: 79%;
}

/* modal */
.modal-body {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: auto;
    background-color: #f5f5f5;
    color: #000;
    display: block;
}
.modal-container .modal-wrapper {
    width: 80vw;
    height: 80%;
    max-height: 600px;
    max-width: 1200px !important;
}
.modal-container .modal-wrapper .btn.arrow {
    margin-left: 1.2rem;
}
.modal-body .swiper-btns-wrapper,
.modal-body .info-content {
    width: 80%;
    margin: 3rem auto;
}
.modal-body .info-content li {
    list-style: disc;
    margin-left: 18px;
}

.fr-info-modal .modal-dialog {
    margin-top: 2.5rem;
}
.fr-info-modal .modal-dialog .modal-content {
    height: 100%;
    /* overflow: hidden; */
}
.fr-info-modal .modal-dialog .modal-content img {
    width: 100%;
    max-width: none;
}
.fr-info-modal .modal-dialog .modal-body {
    overflow: hidden;
    height: 80%;
    max-height: 800px;
    overflow: scroll !important;
}

.fr-info-modal #close-btn:hover,
.fr-info-modal #close-btn:focus {
    opacity: 1;
}

.fr-info-modal .modal-body p.notes {
    margin: 2rem auto 0;
}

.fr-info-modal .modal-body .info-title {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

.fr-info-modal .modal-body .info-title img {
    width: 60px;
    height: 60px;
    margin-right: 1rem;
}

.fr-info-modal .modal-body .info-title h3 {
    margin-bottom: 0;
}

.fr-info-modal
    .swiper
    .swiper-slide
    .slide-container::-webkit-scrollbar-thumb:hover {
    background: #5aa8a2;
}

#mobile-wrapper .bottom-spacing {
    padding: 0 2rem;
}

@media screen and (max-width: 1199.98px) {
    #mobile-wrapper .bottom-spacing .btn-group {
        min-height: unset;
        flex-direction: column;
    }

    #mobile-wrapper .bottom-spacing .btn-group button {
        width: 100%;
        /* border: none !important; */
        border-radius: 1rem !important;
        padding: 0.75rem;
    }

    #mobile-wrapper .bottom-spacing .btn-group #left-map-btn {
        margin-bottom: 1rem;
    }

    #mobile-wrapper .bottom-spacing .btn-group #right-map-btn {
        border-left: solid 4px #5da89a;
    }
}

@media screen and (max-width: 991px) {
    #mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item span {
        font-size: 1.5rem;
    }
    #mobile-wrapper .bottom-spacing {
        padding-right: 15px;
        padding-left: 15px;
    }
}

@media screen and (max-width: 767.98px) {
    .fr-info-modal .modal-body .info-title img {
        width: 45px;
        height: 45px;
    }
    #mobile-wrapper .bottom-spacing {
        padding-right: 2rem;
        padding-left: 2rem;
    }
}

@media screen and (max-width: 576px) {
    #mobile-wrapper #mobile-map-wrapper #instruction-m .instr-item span {
        font-size: 1rem;
    }
    #mobile-wrapper .pin-btn img {
        width: 50px;
        height: 50px;
    }
}

.modal-content .swiper-control {
    display: flex;
    justify-content: flex-end;
}

.modal .swiper-control .button,
.modal-content .swiper-control .button {
    position: relative;
    display: flex;
    align-items: center;
}

.modal .swiper-control .button .swiper-button,
.modal-content .swiper-control .button .swiper-button {
    width: 102px;
    height: 46px;
    position: relative;
    top: 0;
    right: 0;
    border-radius: 4rem;
    background-color: #5ba8a2;
}

.modal .swiper-control .button .swiper-button::before,
.modal-content .swiper-control .button .swiper-button::before {
    content: "";
    position: absolute;
    background-color: #fff;
    left: 50%;
    top: 50%;
    width: 1px;
    height: 80%;
    transform: translate(-50%, -50%);
}

.modal .swiper-control .button .swiper-button-next::after,
.modal-content .swiper-control .button .swiper-button-next::after {
    transform: rotateZ(135deg);
}

.modal .swiper-control .button .swiper-button-prev:after,
.modal-content .swiper-control .button .swiper-button-prev:after {
    transform: rotateZ(315deg);
}

.modal .swiper-control .button .swiper-button-next::after,
.modal .swiper-control .button .swiper-button-prev::after,
.modal-content .swiper-control .button .swiper-button-next::after,
.modal-content .swiper-control .button .swiper-button-prev::after {
    content: "";
    width: 10px;
    height: 10px;
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
}

.modal .swiper-control .button .swiper-page,
.modal-content .swiper-control .button .swiper-page {
    margin-left: 30px;
    font-size: 20px;
}

.modal .swiper-control .button .swiper-page span.middle,
.modal-content .swiper-control .button .swiper-page span.middle {
    margin: 0 3px;
}

.modal .swiper-control .button .swiper-button-next:after,
.modal-content .swiper-control .button .swiper-button-next:after {
    transform: rotateZ(135deg);
}
